$font=Fira Code


auth {
    fingerprint {
        enabled = true
        ready_message = Scan fingerprint to unlock
        present_message = Scanning...
        retry_delay = 250 # in milliseconds
    }
}
# GENERAL
general {
  hide_cursor = true
  screencopy_mode = 0
  immediate_render = false
}

animation {
  bezier = linear, 1, 1, 0, 0
  animation = fade, 1, 1.8, linear
}

# BACKGROUND
background {
  path = screenshot
  blur_passes = 2
  #reload_time = 15
  #reload_cmd = echo $HOME/.config/lockpaper
  # blur_passes = 0
  crossfade_time = 1
}

# AUTO BACKGROUND
# AUTO BACKGROUND END

# TIME
label {
  text = $TIME
  color = rgb(255, 255, 255)
  font_size = 90
  font_family = $font
  position = 75, 0
  halign = left
  valign = top
}

# Battery
label {
  text = cmd[update:1000] /home/nathan/.config/hypr/scripts/battery.sh
  color = rgb(255, 255, 255)
  font_size = 20
  font_family = $font
  position = -25, 10
  halign = right
  valign = bottom
}

# DATE
# label {
# #   monitor =
#   text = cmd[update:43200000] date +"%A, %d %B %Y"
#   color = rgb(255, 255, 255)
#   font_size = 25
#   font_family = $font
#   position = 30, -150
#   halign = left
#   valign = top
# }
shape {
  monitor =
  size = 500, 100%
  color = rgba(255, 255, 255, 0.18)
  rounding = 25
  # border_size = 4
  # border_color = rgba(255, 255, 255, 1.0)

  position = -25, 0
  halign = left
  valign = center
}

# USER AVATAR
image {
  #   monitor =
  path = $HOME/.face
  rounding = 25
  size = 200
  # border_color = rgb(0, 0, 0)
  border_size = 0
  position = 150, 100
  halign = left
  valign = center
}
  
  # INPUT FIELD
input-field {
#   monitor =
  size = 300, 60
  position = 100, -47
  outline_thickness = 4
  dots_size = 0.2
  dots_spacing = 0.2
  dots_center = true
  outer_color = rgb(0, 0, 0)
  inner_color = rgb(255, 255, 255)
  font_color = rgb(0, 0, 0)
  fade_on_empty = false
  placeholder_text = <span foreground="black"><i>󰌾</i> Nathan</span>
  hide_input = false
  check_color = rgb(212, 130, 6)
  fail_color = rgb(255, 0, 0)
  fail_text = <i>$FAIL <b>($ATTEMPTS)</b></i>
  capslock_color = rgb(255, 0, 0)
  halign = left
  valign = center
}
